<div *ngIf="!flow_child.is_expand || no_data_found" class="row mb-1 mt-3">
    <div *ngIf="!no_data_found" class="col-sm-9 pr-0 " style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none cursor border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem;">
            <div (click)="toggle_entity(null, null);"
                 class="card-header d-flex collapsed-card-border pr-0 align-items-center card-shadow bg-white border-radius-10">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
                    <span class="mr-2"><i class="las la-angle-right f-20"></i></span>
                    <span class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span>
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="no_data_found" class="col-sm-9 pr-0">
        <div class="card card-shadow" style="min-height:487px;margin-left: 3.7rem;margin-right: 0.3rem;">
            <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                <div
                        class="card-header-title dashboard-tile-title cursor custom-mouseover">
                    <span class="mr-2"><i class="las la-angle-down f-20"></i></span><span
                        class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span>
                </div>
            </div>
            <flow-error></flow-error>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <p class="f-14"></p><!-- //right side title for some content  -->
    </div>
</div>
<!-- line connectivity -->
<!-- <div class="col-md-9 position-relative" *ngIf="flow_child.is_expand && !no_data_found">
  <div class="borderline_focast_top" style="position: absolute;top:-30px;right:25px;width:2px;background: #C4C4C4;height: 67px;"></div>
</div>
<div class="col-md-9 position-relative" *ngIf="!flow_child.is_expand || no_data_found">
  <div class="borderline_focast_top_collapsed" style="position: absolute;top:-4px;right:25px;width:2px;background: #C4C4C4;height: 63px;"></div>
</div>  -->
<!-- line connectivity -->
<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui">
    <div id="flow_container" [hidden]="!flow_child.is_expand || no_data_found" class="row  mt-3 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         (scroll)="onScroll($event)"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom:20px;">

        <!-- <div style="position: absolute; height:510px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;"></div>
          <div style="position: absolute; height:510px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;"></div>
           -->
        <div style="position: absolute; height:510px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;">
            <div>
                <app-hint [id]="'slide-card'" *ngIf="flow_index == 0 && scroll_position.active!='left'"></app-hint>
                <div *ngIf="scroll_position.active!='left'" (click)="scroll_flow('left')" class="slideLeft">
                    <!-- <i class="las la-angle-left" style="font-size: 16px;"></i> -->
                    <img src="../../../assets/imgs/LftArrow.svg">
                </div>
            </div>
        </div>
        <div style="position: absolute; height:510px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;">
            <div *ngIf="scroll_position.active=='left'" (click)="scroll_flow('center')" class="slideRight">
                <!-- <i class="las la-angle-right" style="font-size: 16px;"></i> -->
                <img src="../../../assets/imgs/LftArrow.svg">
            </div>
        </div>
        <div class="{{scroll_position.class}}">
            <div class="card card-shadow border-radius-10 flow-entity-popup" style="min-height: 487px;">
                <div class="card-header with-elements pr-0 card-bb-color popupTable">
                    <!-- don't remove the popuptable css -->
                    <div class="card-header-title dashboard-tile-title cursor "><span
                            class="dashboard-tile-title fw-400">{{(scroll_position.class == 'col-sm-4') ? 'Data' : flow_child.view_name + ' : ' + selected_value?.net_lift_data.display_name}}</span>
                    </div>
                </div>
                <div class="card-body p-0" *ngIf="testcontrols_of.type=='M'">
                    <fm-pivot #flowpivotcontainer [width]="'100%'" [height]="'425px'" [toolbar]="true"
                              [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                              (update)="onReportChange($event)"
                              [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                              [customizeCell]="customizeCellData.bind(this)"
                    >
                    </fm-pivot>
                </div>

                <div style="position: absolute;bottom: 15px;height: 75px;right: 22em;width: 15%;background: linear-gradient(#ffffff00,#ffffff);"
                     >
                    <div style="position: absolute;bottom: 0;opacity: 0.6;"
                         class="text-center align-items-center w-100"><i class="ion ion-ios-arrow-down f-16"></i></div>
                </div>
                <div class="card-body p-0" *ngIf="testcontrols_of.type!='M'">
                    <div *ngIf="view_filter.current_view == '$'" class="w-100">
                        <div class="card cardPanel border-0 box-shadow-none ">
                            <div class="row m-0">
                                <div class="col-md-12 px-0">
                                    <table border="0" class="data p-0" [perfectScrollbar]>
                                        <thead class="t-thead">
                                        <tr class="head">
                                            <th class="wd-25">Stat. Sig.</th>
                                            <th class="wd-50">{{flow_child.view_name}}</th>
                                            <th class="wd-40">Net Lift ($)</th>
                                            <th class="wd-10" style="width:20%;padding:0">P Value</th>
                                        </tr>
                                        </thead>
                                        <tbody class="test-tbody">
                                        <tr *ngFor="let net_lift of net_lift_data; let i = index" class="rowdata"
                                            (click)="changeSummaryData(i)"
                                            [ngClass]="{'active': selected_value.net_lift_index == i}">
                                            <td class="wd-25"><span class="inactive"
                                                                    [ngClass]="{'square' : net_lift.stat_data[view_filter.confidence_per].significance}"></span>
                                            </td>
                                            <td class="wd-50">{{net_lift.name}}</td>
                                            <td class="wd-40">${{net_lift.netlift|number}}
                                                <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down"
                                                   style="justify-content: center;margin-left:10px;"></i>
                                                <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up"
                                                   style="justify-content: center;margin-left:10px;"></i>
                                            </td>
                                            <td class="wd-10" style="width:20%;padding:0">{{net_lift.probability|number}}
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div *ngIf="view_filter.current_view == '%'" class="w-100">
                        <div class="card cardPanel border-0 box-shadow-none ">
                            <div class="row m-0">
                                <div class="col-md-12 px-0">
                                    <table border="0" class="data p-0" [perfectScrollbar]>
                                        <thead class="t-thead">
                                        <tr class="head">
                                            <th class="wd-25">Stat. Sig.</th>
                                            <th class="wd-50">{{flow_child.view_name}}</th>
                                            <th class="wd-50">Net Lift (%)</th>
                                            <th class="wd-10">P Value</th>
                                        </tr>
                                        </thead>
                                        <tbody class="test-tbody">
                                        <tr *ngFor="let net_lift of net_lift_data; let i = index" class="rowdata"
                                            (click)="changeSummaryData(i)"
                                            [ngClass]="{'active': selected_value.net_lift_index == i}">
                                            <td class="wd-25"><span class="inactive"
                                                                    [ngClass]="{'square' : net_lift.stat_data[view_filter.confidence_per].significance}"></span>
                                            </td>
                                            <td class="wd-50">{{net_lift.name}}</td>
                                            <td class="wd-50">{{net_lift.netlift_per|number}}%
                                                <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down"
                                                   style="justify-content: center;margin-left:10px;"></i>
                                                <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up"
                                                   style="justify-content: center;margin-left:10px;"></i>
                                            </td>
                                            <td class="wd-10">{{net_lift.probability|number}}
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-sm-9">
            <div class="card card-shadow border-radius-10" style="min-height:487px;" id="{{flowchart_id+'_fullscreen_test'}}">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                    <div (click)="toggle_entity(null, null);"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover">
                        <span class="mr-2"><i class="las la-angle-down f-20"></i></span>
                        <span *ngIf="testcontrols_of.type=='M'"
                              class="dashboard-tile-title fw-400">{{flow_child.view_name + ' : ' + selected_value?.net_lift_data.display_name}}</span>
                        <span *ngIf="testcontrols_of.type!='M'"
                              class="dashboard-tile-title fw-400">{{flow_child.view_name + ' : '}}</span>
                    </div>
                    <button *ngIf="testcontrols_of.type!='M'" (click)="toggle_scroll()"
                            class="btn btn-secondary-info p-1 WSF align-items-center px-2"
                            style="letter-spacing: -0.01em !important; font-size: 1.1rem !important;"><i
                            class="las la-list-ul pr-1"></i><span>{{selected_value?.net_lift_data.display_name}}</span>
                    </button>
                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2" *ngIf="!is_fullscreen_view">
                        <button [routerLink]="['/flow/forecast']" *ngIf="page_type=='search'" style="
                                        position: absolute;
                                        margin-left: -10em;
                                        border-radius: 7px;
                                        margin-top: 5px;
                                        height: 2em;" class="btn btn-primary"><i class="la la-area-chart" style="font-size: 20px;
                      float: left;"></i>More Details<i class="las la-caret-right"></i></button>
                        <div class="ml-1">
                            <button class="btn p-1  " ngbTooltip="View line chart" placement="bottom" container="body"
                                    (click)="buildLineChart();isCustomActive('line')"
                                    [ngClass]="selected_value.view_mode == 'line' ? 'icon-active' : ''">
                                <i class="las la-chart-line f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1">
                            <button class="btn p-1  " ngbTooltip="View waterfall chart" placement="bottom"
                                    container="body"
                                    (click)="buildWaterFallChart();isCustomActive('waterfall')"
                                    [ngClass]="selected_value.view_mode == 'waterfall' ? 'icon-active' : ''">
                                <i class="las la-chart-bar f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="flow_child.object_id !== 0">
                            <button class="btn p-1  " ngbTooltip="View data grid" placement="bottom" container="body"
                                    (click)="buildPivotTable('table');isCustomActive('table')"
                                    [ngClass]="selected_value.view_mode == 'table' ? 'icon-active' : ''">
                                <i class="las la-table f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" >
                            <button class="btn p-1  " ngbTooltip="View visualization in full screen" placement="bottom"
                                    container="body"
                                    (click)="fullScreen(flowchart_id+'_fullscreen_test', 'custom');"
                                    [ngClass]="fullScreen == 'chartType' ? 'icon-active' : ''">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                       
                    </div>
                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2" *ngIf="is_fullscreen_view">
                        <button [routerLink]="['/flow/forecast']" *ngIf="page_type=='search'" style="
                                        position: absolute;
                                        margin-left: -10em;
                                        border-radius: 7px;
                                        margin-top: 5px;
                                        height: 2em;" class="btn btn-primary"><i class="la la-area-chart" style="font-size: 20px;
                      float: left;"></i>More Details<i class="las la-caret-right"></i></button>
                        <div class="ml-1">
                            <button class="btn p-1  " ngbTooltip="View line chart" placement="bottom" container="body"
                                    (click)="buildLineChart();isCustomActive('line')"
                                    [ngClass]="selected_value.view_mode == 'line' ? 'icon-active' : ''">
                                <i class="las la-chart-line f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1">
                            <button class="btn p-1  " ngbTooltip="View waterfall chart" placement="bottom"
                                    container="body"
                                    (click)="buildWaterFallChart();isCustomActive('waterfall')"
                                    [ngClass]="selected_value.view_mode == 'waterfall' ? 'icon-active' : ''">
                                <i class="las la-chart-bar f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="flow_child.object_id !== 0">
                            <button class="btn p-1  " ngbTooltip="View data grid" placement="bottom" container="body"
                                    (click)="buildPivotTable('table');isCustomActive('table')"
                                    [ngClass]="selected_value.view_mode == 'table' ? 'icon-active' : ''">
                                <i class="las la-table f-20 custom-mouseover"></i></button>
                        </div>
                       
                        <div class="ml-1" >
                            <button class="btn p-1" ngbTooltip="Close" placement="bottom"
                                (click)="fullScreen(flowchart_id+'_fullscreen_test', 'custom');">
                                <i class="ion-md-close f-20 pr-1 custom-mouseover" style="vertical-align:top;line-height: initial;"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body pb-0 px-0" style="min-height: 400px;" [ngClass]="{'pt-0':selected_value.view_mode === 'table'}">
                    <div class="d-flex" id="{{flowchart_id+'_custom'}}" style="height: 100%;">

                        <!-- chart -->
                        <div *ngIf="selected_value.view_mode === 'line' ||
                             selected_value.view_mode === 'waterfall'" id="{{flowchart_id}}"
                             [ngClass]="testcontrols_of.type=='M' ? 'col-sm-10':'col-sm-12'"
                             style="min-height: 400px;" class="hc_div {{selected_value.view_mode}}"></div>
                        <!-- grid -->
                        <div *ngIf="selected_value.view_mode === 'table'" class="col-sm-12">
                            <fm-pivot #flowpivotcontainer [width]="'100%'" [height]="'425px'" [toolbar]="true"
                                      [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                                      (update)="onReportChange($event)"
                                      [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                                      [customizeCell]="customizeCellFunction.bind(this)">
                            </fm-pivot>
                        </div>


                        <div *ngIf="testcontrols_of.type=='M'" class="col-md-2 pl-0 pr-3 flow_cardbody hx-pro-pr-_5"
                             [perfectScrollbar]
                             (psYReachStart)="scroll_config.scroll_start=true;">
                            <ng-container *ngFor="let net_lift of net_lift_data; let i = index">
                                <div (click)="changeSummaryData(i)"
                                     class="col-md-12 mb-3 py-3 daily-data-tab hx-pro-pr-_5 hx-pro-pl-_5"
                                     [ngClass]="{'active': selected_value.net_lift_index == i}">

                                    <!-- <div class="text-right f-10 pb-2" *ngIf="net_lift.stat_data[view_filter.confidence_per].significance">
                                      Statistically Significant
                                    </div> -->
                                    <div class="f-16 WSF text-gray77 pl-3 hx-pro-pl-0">{{net_lift.display_name}}</div>

                                    <div class="f-16 fw-700 WSF d-flex align-items-center pl-3 mb-2 hx-pro-pl-0">
                                        <div class="mt-2"
                                             *ngIf="view_filter.current_view == '$'">{{net_lift.format.currencySymbol}}{{net_lift.netlift|number}}</div>
                                        <div *ngIf="view_filter.current_view == '%'"
                                             class="mt-2">{{net_lift.netlift_per|number}} %
                                        </div>
                                        <i *ngIf="net_lift.netlift<0" class="fas fa-caret-down down pl-1 mt-2"
                                        ></i>
                                        <i *ngIf="net_lift.netlift>0" class="fas fa-caret-up up pl-1 mt-2"
                                        ></i>

                                    </div>
                                    <!-- <div class="WSF pt-2 f-12 font-weight-normal">P Value : {{net_lift.probability|number}}</div> -->
                                    <div *ngIf="net_lift.stat_data[view_filter.confidence_per].significance"
                                         class="pl-3 text-primary hx-pro-pl-0">STAT SIG.
                                    </div>


                                </div>
                                <div class="triangle-outer">
                                    <span class="triangle-down"></span>
                                </div>
                            </ng-container>
                            <div style="height:75px"></div>
                        </div>
                        <div *ngIf="scroll_config.scroll_start" [ngClass]="is_fullscreen_view ?'d-none':''"
                             style="position: absolute;bottom: 5px;height: 75px;right: 20px;width: 15%;background: linear-gradient(#ffffff00,#ffffff);"
                             >
                            <div style="position: absolute;bottom: 0;opacity: 0.6;"
                                 class="text-center align-items-center w-100"><i
                                    class="ion ion-ios-arrow-down f-16"></i></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <app-hint [id]="'summary'"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab">
                <ngb-tab *ngFor="let tab of flow_child?.hs_info">
                    <ng-template ngbTabTitle>
                        <span class="tab-title text-capitalize">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body"
                             style="padding-bottom:10px !important; overflow: hidden;overflow-y: auto;"
                             [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
        </div>
    </div>

    <div class="row switching-tab-mt" *ngIf="flow_child.is_expand && !no_data_found">

        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                <div *ngIf="flow_child.is_expand && !no_data_found">
    <span class="ml-1">
        <button class="btn p-1  " (click)="scroll_flow('left')">
            <app-hint [id]="'data-view'" *ngIf="flow_index == 0" (click)="$event.stopPropagation()"></app-hint>
            <div>
              <i class="fas fa-circle f-5 border-100"
                 [ngClass]="scroll_position.active=='left'?'blue-dot':'gray-dot'"></i>
            </div>
         <div>
          <i class="las la-table f-20" [ngClass]="scroll_position.active=='left'?'':'gray-text'" ngbTooltip="Data View"
             placement="bottom" container="body"></i>
         </div>
          </button>
        </span>
                    <span class="ml-1">
        <button class="btn p-1  " (click)="scroll_flow('center')">
            <div>
              <i class="fas fa-circle f-5 border-100 blue-dot"></i>
            </div>
        <div>
          <i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom" container="body"></i>
        </div>
          </button>
    </span>
                    <span class="ml-1">
        <button class="btn p-1  " (click)="scroll_flow('right')">
           <div>
            <i class="fas fa-circle f-5 border-100"
               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'"></i>
           </div>
        <div>
          <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
             [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>
        </div>
          </button>
    </span>
                </div>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3"></div>
    </div>
    <!-- <div class="col-md-9 position-relative" *ngIf="flow_child.is_expand">
      <div style="position: absolute;bottom:-75px; right:25px;width:2px;background: #C4C4C4;height: 120px;"></div>
    </div>
    <div class="col-md-9 position-relative" *ngIf="!flow_child.is_expand || no_data_found">
      <div style="position: absolute;bottom:-70px; right:25px;width:2px;background: #C4C4C4;height: 115px;"></div>
    </div> -->
</div>
<!-- line connectivity -->
<!-- <div class="col-md-9 position-relative" *ngIf="flow_child.is_expand && !no_data_found">
  <div class="borderline_focast_bottom" style="position: absolute;bottom: 44em;right:25px;width:2px;background: #C4C4C4;height: 67px;"></div>
</div>
<div class="col-md-9 position-relative" *ngIf="!flow_child.is_expand || no_data_found">
  <div class="borderline_focast_bottom_collapsed" style="position: absolute;bottom: 8em;right:25px;width:2px;background: #C4C4C4;height: 63px;"></div>
</div>  -->
<!-- line connectivity -->
<!-- <div class="col-md-9 position-relative" *ngIf="!flow_child.is_expand || no_data_found">
  <div style="position: absolute;bottom:-93px; right:25px;width:2px;background: #C4C4C4;height: 120px;"></div>
</div> -->

<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s"></animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
        </span>
            </div>
        </div>
    </div>
</ng-template>
